/****************************************************************************
 * An interface to be implemented by anything that may be used to enter
 * variables that should be checked against declarations.
 *
 * @author Jussi Stader
 * @version 2.3+
 * Updated: Fri Nov 15 12:33:16 2002
 * Copyright: (c) 2002, AIAI, University of Edinburgh
 *****************************************************************************
 */
package ix.iview;

import java.util.List;

/****************************************************************************
 * An interface to be implemented by anything that may be used to enter
 * variables that should be checked against declarations.
 *****************************************************************************
 */
public interface VarSpecifier
{
  public List getVarsToOffer();
  /** Add the given variable name as a declaration, return the name or "". */
  public String addVariableDeclaration(String varName);
}

