package ix.iface.util;

import java.awt.Color;

/** Colors for X-Windows color names. */
public class XColors {

    /** Private to block instantiation. */
    private XColors() {}

    public static final Color
	AliceBlue = new Color(0xF0F8FF),
	AntiqueWhite = new Color(0xFAEBD7),
	Aqua = new Color(0x00FFFF),
	Aquamarine = new Color(0x7FFFD4),
	Azure = new Color(0xF0FFFF),
	Beige = new Color(0xF5F5DC),
	Bisque = new Color(0xFFE4C4),
        Black = new Color(0x000000),
	BlanchedAlmond = new Color(0xFFEBCD),
	Blue = new Color(0x0000FF),
	BlueViolet = new Color(0x8A2BE2),
	Brown = new Color(0xA52A2A),
	BurlyWood = new Color(0xDEB887),
	CadetBlue = new Color(0x5F9EA0),
	Chartreuse = new Color(0x7FFF00),
	Chocolate = new Color(0xD2691E),
	Coral = new Color(0xFF7F50),
	CornflowerBlue = new Color(0x6495ED),
	Cornsilk = new Color(0xFFF8DC),
	Crimson = new Color(0xDC143C),
	Cyan = new Color(0x00FFFF),
	DarkBlue = new Color(0x00008B),
	DarkCyan = new Color(0x008B8B),
	DarkGoldenRod = new Color(0xB8860B),
	DarkGray = new Color(0xA9A9A9),
	DarkGreen = new Color(0x006400),
	DarkKhaki = new Color(0xBDB76B),
	DarkMagenta = new Color(0x8B008B),
	DarkOliveGreen = new Color(0x556B2F),
	Darkorange = new Color(0xFF8C00),
	DarkOrchid = new Color(0x9932CC),
	DarkRed = new Color(0x8B0000),
	DarkSalmon = new Color(0xE9967A),
	DarkSeaGreen = new Color(0x8FBC8F),
	DarkSlateBlue = new Color(0x483D8B),
	DarkSlateGray = new Color(0x2F4F4F),
	DarkTurquoise = new Color(0x00CED1),
	DarkViolet = new Color(0x9400D3),
	DeepPink = new Color(0xFF1493),
	DeepSkyBlue = new Color(0x00BFFF),
	DimGray = new Color(0x696969),
	DodgerBlue = new Color(0x1E90FF),
	Feldspar = new Color(0xD19275),
	FireBrick = new Color(0xB22222),
	FloralWhite = new Color(0xFFFAF0),
	ForestGreen = new Color(0x228B22),
	Fuchsia = new Color(0xFF00FF),
	Gainsboro = new Color(0xDCDCDC),
	GhostWhite = new Color(0xF8F8FF),
	Gold = new Color(0xFFD700),
	GoldenRod = new Color(0xDAA520),
	Gray = new Color(0x808080),
	Green = new Color(0x008000),
	GreenYellow = new Color(0xADFF2F),
	HoneyDew = new Color(0xF0FFF0),
	HotPink = new Color(0xFF69B4),
	IndianRed = new Color(0xCD5C5C),
	Indigo = new Color(0x4B0082),
	Ivory = new Color(0xFFFFF0),
	Khaki = new Color(0xF0E68C),
	Lavender = new Color(0xE6E6FA),
	LavenderBlush = new Color(0xFFF0F5),
	LawnGreen = new Color(0x7CFC00),
	LemonChiffon = new Color(0xFFFACD),
	LightBlue = new Color(0xADD8E6),
	LightCoral = new Color(0xF08080),
	LightCyan = new Color(0xE0FFFF),
	LightGoldenRodYellow = new Color(0xFAFAD2),
	LightGrey = new Color(0xD3D3D3),
	LightGreen = new Color(0x90EE90),
	LightPink = new Color(0xFFB6C1),
	LightSalmon = new Color(0xFFA07A),
	LightSeaGreen = new Color(0x20B2AA),
	LightSkyBlue = new Color(0x87CEFA),
	LightSlateBlue = new Color(0x8470FF),
	LightSlateGray = new Color(0x778899),
	LightSteelBlue = new Color(0xB0C4DE),
	LightYellow = new Color(0xFFFFE0),
	Lime = new Color(0x00FF00),
	LimeGreen = new Color(0x32CD32),
	Linen = new Color(0xFAF0E6),
	Magenta = new Color(0xFF00FF),
	Maroon = new Color(0x800000),
	MediumAquaMarine = new Color(0x66CDAA),
	MediumBlue = new Color(0x0000CD),
	MediumOrchid = new Color(0xBA55D3),
	MediumPurple = new Color(0x9370D8),
	MediumSeaGree = new Color(0x3CB371),
	MediumSlateBlue = new Color(0x7B68EE),
	MediumSpringGreen = new Color(0x00FA9A),
	MediumTurquoise = new Color(0x48D1CC),
	MediumVioletRed = new Color(0xC71585),
	MidnightBlue = new Color(0x191970),
	MintCream = new Color(0xF5FFFA),
	MistyRose = new Color(0xFFE4E1),
	Moccasin = new Color(0xFFE4B5),
	NavajoWhite = new Color(0xFFDEAD),
	Navy = new Color(0x000080),
	OldLace = new Color(0xFDF5E6),
	Olive = new Color(0x808000),
	OliveDrab = new Color(0x6B8E23),
	Orange = new Color(0xFFA500),
	OrangeRed = new Color(0xFF4500),
	Orchid = new Color(0xDA70D6),
	PaleGoldenRod = new Color(0xEEE8AA),
	PaleGreen = new Color(0x98FB98),
	PaleTurquoise = new Color(0xAFEEEE),
	PaleVioletRed = new Color(0xD87093),
	PapayaWhip = new Color(0xFFEFD5),
	PeachPuff = new Color(0xFFDAB9),
	Peru = new Color(0xCD853F),
	Pink = new Color(0xFFC0CB),
	Plum = new Color(0xDDA0DD),
	PowderBlue = new Color(0xB0E0E6),
	Purple = new Color(0x800080),
	Red = new Color(0xFF0000),
	RosyBrown = new Color(0xBC8F8F),
	RoyalBlue = new Color(0x4169E1),
	SaddleBrown = new Color(0x8B4513),
	Salmon = new Color(0xFA8072),
	SandyBrown = new Color(0xF4A460),
	SeaGreen = new Color(0x2E8B57),
	SeaShell = new Color(0xFFF5EE),
	Sienna = new Color(0xA0522D),
	Silver = new Color(0xC0C0C0),
	SkyBlue = new Color(0x87CEEB),
	SlateBlue = new Color(0x6A5ACD),
	SlateGray = new Color(0x708090),
	Snow = new Color(0xFFFAFA),
	SpringGreen = new Color(0x00FF7F),
	SteelBlue = new Color(0x4682B4),
	Tan = new Color(0xD2B48C),
	Teal = new Color(0x008080),
	Thistle = new Color(0xD8BFD8),
	Tomato = new Color(0xFF6347),
	Turquoise = new Color(0x40E0D0),
	Violet = new Color(0xEE82EE),
	VioletRed = new Color(0xD02090),
	Wheat = new Color(0xF5DEB3),
	White = new Color(0xFFFFFF),
	WhiteSmoke = new Color(0xF5F5F5),
	Yellow = new Color(0xFFFF00),
	YellowGreen = new Color(0x9ACD32);

}
